IPSEC_STRERROR(3)

NAME
ipsec_strerror - error code for IPsec policy manipulation library

LIBRARY
libipsec

SYNOPSIS
#include <sys/types.h>
#include <netinet6/ipsec.h>
char *
ipsec_strerror(void);

DESCRIPTION
netinet6/ipsec.h declares

    extern int ipsec_errcode;

which is used to pass error code from IPsec policy manipulation library to user program. ipsec_strerror() can be used to obtain error message string for the error code.

RETURN VALUES
ipsec_strerror() always return a pointer to C string. The C string must not be overwritten by user programs.

HISTORY
The functions first appeared in WIDE/KAME IPv6 protocol stack kit.

IPv6 and IPsec support based on the KAME Project (http://www.kame.net/) stack was initially integrated into FreeBSD 4.0